Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.cas
Interface DoubleArrayFS

All Superinterfaces:
  CommonArrayFS, FeatureStructure

All Known Implementing Classes:
  DoubleArray

    public interface DoubleArrayFS

extends CommonArrayFS

Double array interface. To create a double array object, use `CAS.createDoubleArrayFS()`.

Method Summary
`void` | `copyFromArray(double[] src, int srcOffset, int destOffset, int length)` Copy the contents of an external array into this array.
`void` | `copyToArray(int srcOffset, double[] dest, int destOffset, int length)` Copy the contents of the array from `start` to `end` to the destination `destArray` with destination offset `destOffset`.
`double` | `get(int i)` Get the i-th element from the array.
`void` | `set(int i, double b)` Set the i-th value.
`double[]` | `toArray()` Create a Java array that is a copy of the internal CAS array.

Methods inherited from interface org.apache.uima.cas.CommonArrayFS
`copyFromArray, copyToArray, size, toStringArray`

Methods inherited from interface org.apache.uima.cas.FeatureStructure
`clone, equals, getBooleanValue, getByteValue, getCAS, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getLongValue, getShortValue, getStringValue, getType, hashCode, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue`

Method Detail

### get

    double get(int i)
               throws ArrayIndexOutOfBoundsException

  Get the i-th element from the array.

  Returns:
    The i-th element.
  Throws:
    `ArrayIndexOutOfBoundsException` - If the index is out of bounds.

### set

    void set(int i,
             double b)
             throws ArrayIndexOutOfBoundsException

  Set the i-th value.

  Parameters:
    `i` - The index.
    `b` - The value.
  Throws:
    `ArrayIndexOutOfBoundsException` - If `i` is out of bounds.

### toArray

    double[] toArray()

  Create a Java array that is a copy of the internal CAS array.

  Returns:
    An array copy.

### copyToArray

    void copyToArray(int srcOffset,
                     double[] dest,
                     int destOffset,
                     int length)
                     throws ArrayIndexOutOfBoundsException

  Copy the contents of the array from `start` to `end` to the destination `destArray` with destination offset `destOffset`.

  Parameters:
    `srcOffset` - The index of the first element to copy.
    `dest` - The array to copy to.
    `destOffset` - Where to start copying into `dest`.
    `length` - The number of elements to copy.
  Throws:
    `ArrayIndexOutOfBoundsException` - If `srcOffset < 0` or `length > size()` or `destOffset + length > destArray.length`.

### copyFromArray

    void copyFromArray(double[] src,
                       int srcOffset,
                       int destOffset,
                       int length)
                       throws ArrayIndexOutOfBoundsException

  Copy the contents of an external array into this array.

  Parameters:
    `src` - The source array.
    `srcOffset` - Where to start copying in the source array.
    `destOffset` - Where to start copying to in the destination array.
    `length` - The number of elements to copy.
  Throws:
    `ArrayIndexOutOfBoundsException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 The Apache Software Foundation. All Rights Reserved.